@charset "UTF-8";

/* 文字に関する指定 */
/* .page__content a,
.page__content a:visited {
    color: #0033cc;
    text-decoration: underline;
} */

a.button__link {
    color: #fff;
}

.page__content p {
    line-height: 2;
    margin-bottom: 50px;
}

.page__ttl-01 {
    color: #042E7C;
    font-size: 40px;
    font-weight: 600;
    text-align: center;
}

h2.wp-block-heading {
    position: relative;
    margin-bottom: 20px;
    padding-left: 10px;
    color: #000;
    border-left: 4px solid #042E7C;
    font-weight: 400;
}

/* タイトル部分の時間 */
.time__category {
    display: flex;
    align-items: center;
    margin-bottom: 1em;
}

/* .category__item {
    padding: .2em .5em;
    font-size: 14px;
    border: 1px solid #ccc;
    margin-left: 1em;
    white-space: nowrap;
} */

@media screen and (max-width:480px) {
    .category__item {
        margin-left: .5em;
    }
}

/* レイアウトに関する指定 */
.page__main__inner {
    margin-top: 50px;
    /* width: calc(100vw - var(--sidebar-width));
    flex: 1; */
}

.page__content__wrapper {
    width: var(--content-width);
    margin: 0 auto;
}

.page__content {
    margin-top: 50px;
}

.page__content .spacer {
    margin-bottom: 20px;
}

.page__ttl-01__wrapper {
    position: relative;
}

.page__ttl-01__wrapper::after {
    content: none;
    position: absolute;
    bottom: -.6em;
    left: 0;
    width: 100%;
    /* margin: 0 calc(50% - 50vw); */
    height: 1px;
    /* background: linear-gradient(to right,
            #042E7C 0%, #042E7C 75%,
            #f89500 75%, #f89500 100%); */
    background:#000 ;
    }

.page-template-default .menu_ul {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}

.page-template-default .menu_li {
    width: calc((100% - 20px) / 2);
}

/* ギャラリーブロック */
.wp-block-gallery{
margin-bottom:50px;}

/* テーブルタグについての装飾 */

th {
    background: #f2f2f2;
}

th,
td {
    border: solid 1px;
    /* 枠線指定 */
    padding: 1em;
}

table {
    border-collapse: collapse;
    /* セルの線を重ねる */
}

.wp-block-table td,
.wp-block-table th {
    padding: 1em;
}

.wp-block-table thead {
    border-bottom: initial !important;
}

.has-fixed-layout {
    width: 100%;
}

/* 画像に関する指定 */

.wp-block-image {
    margin-bottom: 20px;
    text-align: center;
}

.wp-block-image img {
    width: 780px;
}

/* フッター */
.copyright_footer {
    margin-top: 50px;
}

/* サブナビゲーション */
.header__sub__nav__wrapper {
    margin-bottom: 30px;
}

.header__sub__ul {
    display: flex;
    flex-wrap: wrap;
}

.header__sub__li:not(:last-child) {
    margin-right: 1em;
}

.header__sub__li {
    background: #f2f2f2;
    padding: .5em .8em;
    border-radius: 50vw;
    font-size: 14px;
    margin-bottom: 1em;
}

.page__content .header__sub__li a,
.page__content .header__sub__li a:visited {
    text-decoration: none;
    color: #000;
}

/* サブナビゲーション (汎用)*/
.sub__nav .wp-block-list li {
    margin-bottom: 1.5em;
}

.wp-block-group.sub__nav {
    margin-bottom: 20px;
}

.sub__nav .wp-block-list {
    display: flex;
    flex-wrap: wrap;
    /* justify-content: center; */
}

.sub__nav .wp-block-list li:not(:last-child) {
    margin-right: 1em;
}

.sub__nav .wp-block-list li a {
    background: #f2f2f2;
    padding: .5em .8em;
    border-radius: 50vw;
    font-size: 14px;
    margin-bottom: 1em;
}

.sub__nav .wp-block-list li a:hover {
    background: #ddd;
}

.sub__nav .wp-block-list li a,
.sub__nav .wp-block-list li a:visited {
    text-decoration: none;
    color: #000;
}

/* ロータリーについて */
.page__content .wp-block-table {
    margin-bottom: 50px;
}

.platform__ol {
    padding: 2em;
    background: #f2f2f2;
}

.platform__ol li {
    line-height: 2;
    text-indent: -2.5em;
    padding-left: 2.5em;
}

.platform__ol li:not(:last-child) {
    margin-bottom: .5em;
}

.platform__span {
    padding-right: .5em
}

/* ロータリーソング */
.song__lyrics__wrapper {
    display: flex;
}

.song__bl {
    padding: 20px;
    margin-bottom: 50px;
    background: #f2f2f2;
}

.song__titile {
    margin-bottom: .5em;
}

.song__author {
    font-size: 12px;
    margin-bottom: 10px;
}

.song__lyrics {
    text-indent: -2em;
    padding-left: 2em;
}

.song__lyrics__wrapper p {
    margin-bottom: 0;
}

.song__lyrics--first {
    text-indent: 0;
}

.song__lyrics:nth-child(2) {
    margin-left: min(5%, 30px);
}

/* 動画に関する指定 */
.wp-block-video.video__width video {
    max-width: 480px;
}

.video__width {
    text-align: center;
}

/* 西ロータリー週報 */
.weekly-template-default tr:last-child>td {
    border-bottom: 1px solid #ccc;
}

.weekly-template-default .wp-block-table td, .weekly-template-default .wp-block-table th{
    border:none;
    border-top:1px solid #ccc;
}

 /* .weekly-template-default .wp-block-table tr:first-child td{
    border-top:none;
} */


.weekly-template-default .wp-block-table td:first-child{
    width:20%;
}


.weekly-template-default .wp-block-table td a{
    color:#0166c8;
    text-decoration: underline;
}


/* 会長挨拶 */
.president-template-default .wp-block-media-text__content p {
    margin-bottom: 0;
}


/* ナビゲーション */
.navigation__wrapper {
    display: flex;
    justify-content: center;
    margin-top: 50px;
}

.screen-reader-text {
    display: none;
}

a.page-numbers,
.page-numbers.current {
    padding: 1em;
    position: relative;
    font-weight:600;
    color:#707070;
    font-size:19px;
}

a.page-numbers::before,
.page-numbers.current::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    /* border: 1px solid #777777; */
    z-index: -1;
    transform: translate(-50%, -50%);
}

.page-numbers.current {
   color:#17458f;
}

.prev.page-numbers,
.next.page-numbers {
    padding: 1em;
    position: relative;
    border-radius: 50vw;
}

.prev.page-numbers::before,
.next.page-numbers::before {
    border: inherit;
    border-radius: inherit;
}


@media screen and (max-width:480px) {
    .song__lyrics__wrapper {
        flex-direction: column;
    }

    .song__lyrics:nth-child(2) {
        margin-left: 0;
    }

    .song__lyrics:nth-child(1) {
        margin-bottom: 1em;
    }

    .song__lyrics:nth-child(1).song__lyrics--first {
        margin-bottom: 0em;
    }
}

@media screen and (max-width:980px) {

    /* 全体レイアウト */
    .page__content__wrapper {
        width: 100%;
        padding: 0 15px;
    }

    .page__ttl-01 {
        font-size: 24px;
    }

    h2.wp-block-heading {
        font-size: 24px;
    }

    .page__ttl-01__wrapper::after {
        left: 0;
        width: 100vw;
    }

    .page__content {
        margin-top: 50px;
    }

    .page__main__inner {
        width: 100%;
    }

    /* テーブルに関する指定 */
    table td:nth-of-type(1),
    table td:nth-of-type(2) {
        width: fit-content;
    }

    .wp-block-table {
        overflow-x: auto;
    }

    .wp-block-table.scroll .has-fixed-layout {
        width: 100%;
        min-width: 800px;
    }
}

@media screen and (max-width:768px) {
.page__ttl-01{
    font-size: 26px;
}

    .page-template-default .menu_ul {
        flex-direction: column;
    }

    .page-template-default .menu_li {
        width: 100%;
    }

/* ロータリー週報 */
.weekly-template-default .wp-block-table td:first-child{
    width:35%;
}

.weekly-template-default .wp-block-table td, .weekly-template-default .wp-block-table th{
    padding:1em 0;
}


}

@media screen and (max-width:600px) {
    body .is-layout-flex {
        flex-direction: column;
    }

    body .wp-block-gallery.has-nested-images figure.wp-block-image:not(#individual-image) {
        width: 100%;
    }
}

/* サブナビゲーション */
@media screen and (max-width:620px) {
    .page__ttl-01__wrapper::after {
        height: 3px;
    }

    .member_bl {
        width: 100%;
        flex-direction: column;
    }
}

@media screen and (max-width:500px) {
    .categryList__titleLabel {
        padding: 1em .7em;
    }
}

/* 動画に関する指定 */
@media screen and(max-width:480px) {
    .wp-block-video.video__width video {
        width: 100%;
    }
}